Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030463
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementcriticalalways2015-07-30 14:192015-08-20 23:16
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision4beee9b03fe7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030463: Move a Storage Bin process of Goods Movement window allows to choose any locator without taking into account the organization

DescriptionMove a Storage Bin process of Goods Movement window allows to choose any locator without taking into account the organization
Steps To ReproduceAs group admin role:
   Create a Goods Movement for F&B España Region Norte
   Click on Move a Storage Bin process
   Open the Storage Bin from selector, clean the filters and check you could select any storage bin. Select RS-0-0-0 (check it has stock)
   Open the Storage Bin to selector, clean the filters and select EC-0-0-0
   Process the Goods Movement
   Check you moved products defined for F&B España to a warehouse defined for F&B US
   Check for instance that if your role does not have access to F&B España Region Norte it won't see the stock in EC-0-0-0 storage bin (Warehouse and Storage Bin window)
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028459 closededuardo_Argal It is necessary a modulescript to solve stock inconsistencies 
causes defect 00306003.0PR15Q4 closedaferraz Create Lines From process allows to choose any locator 

-  Notes
(0079254)
AtulOpenbravo (developer)
2015-08-07 13:51

Test Plan
- Login as Group admin role:
- Create a Goods Movement for F&B España Region Norte
- Click on Move a Storage Bin process
- Open the Storage Bin from selector, clean the filters and check you could select only storage bins from warehouse associated with F&B España Region Norte Organization.

Alternate Test Plan

A.

- Login as Group admin role. Make sure that login profile has warehouse España Region Norte.
- Create a Goods Movement for F&B US East Coast
- Click on Move a Storage Bin process.
- Open the Storage Bin from selector, Check that filter applied in warehouse is only '%'. (Earlier it used to be Warehouse name from the login profile.)


B.

- Login as Group admin role. Make sure that login profile has warehouse España Region Norte.
- Create a Goods Movement for F&B España, S.A
- Click on Move a Storage Bin process.
- Open the Storage Bin from selector, Check that filter applied in alias is "%" and warehouse is 'España Región Norte%'.
- Clear filters and check that only storage bins of child organizations of F&B España, S.A can be selected. (Earlier storage bins under F&B US Inc and its childs were allowed.)
(0079342)
hgbot (developer)
2015-08-13 12:46

Repository: erp/devel/pi
Changeset: 4beee9b03fe7a93d037fa18b469eadee6cae0082
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Aug 07 15:54:54 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4beee9b03fe7a93d037fa18b469eadee6cae0082 [^]

Fixes Issue 30463: Move a Storage Bin process of Goods Movement window allows
to choose any locator without taking into account the organization

In case of Good Movements window with id 170, org id set in transaction is
sent as a filter for locator selector.

While applying default filters to Locator selector in Alias and Warehouse a
check is provided to check whether login profile warehouse's organization is
included under the organization selected in the transaction.

---
M src/org/openbravo/erpCommon/info/Locator.java
M src/org/openbravo/erpCommon/info/Locator_data.xsql
---
(0079343)
hgbot (developer)
2015-08-13 12:47

Repository: erp/devel/pi
Changeset: 9bb014254be783c1b9606566a7dec733573dff64
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu Aug 13 12:41:06 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9bb014254be783c1b9606566a7dec733573dff64 [^]

Related to issue 30463: code review improvements
Usage of constant for the Goods Movement window id
Utility.getContext(this, vars, M_Warehouse_ID, windowId) called one time
Avoid possible NPE when windowId is null

---
M src/org/openbravo/erpCommon/info/Locator.java
---
(0079344)
vmromanos (developer)
2015-08-13 12:47

Code review + testing OK
(0079434)
hgbot (developer)
2015-08-20 12:50

Repository: erp/devel/pi
Changeset: 97d4a255c5daa433f2ca9610fcfe5c340ecdbaba
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Aug 19 15:23:17 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/97d4a255c5daa433f2ca9610fcfe5c340ecdbaba [^]

Fixes issue 30600: Backout commits from issue 30463

---
M src/org/openbravo/erpCommon/info/Locator.java
M src/org/openbravo/erpCommon/info/Locator_data.xsql
---
(0079546)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079547)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079564)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-07-30 14:19 ngarcia New Issue
2015-07-30 14:19 ngarcia Assigned To => Triage Finance
2015-07-30 14:19 ngarcia Modules => Core
2015-07-30 14:19 ngarcia Triggers an Emergency Pack => No
2015-07-30 14:20 ngarcia Issue Monitored: networkb
2015-08-03 14:42 ngarcia Relationship added related to 0028459
2015-08-07 10:02 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-08-07 10:02 AtulOpenbravo Status new => scheduled
2015-08-07 13:51 AtulOpenbravo Note Added: 0079254
2015-08-13 12:46 hgbot Checkin
2015-08-13 12:46 hgbot Note Added: 0079342
2015-08-13 12:46 hgbot Status scheduled => resolved
2015-08-13 12:46 hgbot Resolution open => fixed
2015-08-13 12:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4beee9b03fe7a93d037fa18b469eadee6cae0082 [^]
2015-08-13 12:47 hgbot Checkin
2015-08-13 12:47 hgbot Note Added: 0079343
2015-08-13 12:47 vmromanos Review Assigned To => vmromanos
2015-08-13 12:47 vmromanos Note Added: 0079344
2015-08-13 12:47 vmromanos Status resolved => closed
2015-08-19 10:04 aferraz Relationship added causes 0030600
2015-08-20 12:50 hgbot Checkin
2015-08-20 12:50 hgbot Note Added: 0079434
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079546
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079547
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079564


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker